Delete Project
curl --request DELETE \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
Delete Project
Delete a project
DELETE
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
Delete Project
Path Parameters
Organization ID
Project ID
Response
{
"message": "Project successfully deleted",
"id": "proj123"
}
Deleting a project is a destructive operation. All components, content types, content, and assets within the project will be soft-deleted. Consider archiving the project instead if you may need to restore it later.
Error Responses
Project Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Project not found"
}
}
Code Examples
curl -X DELETE "https://api.metabind.ai/app/v1/organizations/org123/projects/proj123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const result = await response.json();
console.log(result.message);
var request = URLRequest(url: URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects/proj123")!)
request.httpMethod = "DELETE"
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
let (data, _) = try await URLSession.shared.data(for: request)
val response = client.delete("https://api.metabind.ai/app/v1/organizations/org123/projects/proj123") {
header("Authorization", "Bearer YOUR_JWT")
}
println("Deleted project")
⌘I